# munmap_args Struct Reference

`#include <sysproto.h>`

## Data Fields

void * | addr
char | addr_l_ [0]
char | addr_r_ [(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]
size_t | len
char | len_l_ [0]
char | len_r_ [(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

## Detailed Description

Definition at line 136 of file sysproto.h.

## Field Documentation

void* munmap_args::addr

Definition at line 137 of file sysproto.h.

char munmap_args::addr_l_[0]

Definition at line 137 of file sysproto.h.

char munmap_args::addr_r_[(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]

Definition at line 137 of file sysproto.h.

size_t munmap_args::len

Definition at line 138 of file sysproto.h.

char munmap_args::len_l_[0]

Definition at line 138 of file sysproto.h.

char munmap_args::len_r_[(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

Definition at line 138 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h